<!---
<fusedoc name="qryGetPastPolls.cfm" language="ColdFusion" version="2.0">
  <responsibilities>
    I return a recordset of poll questions and their IDs.
  </responsibilities>
  <properties>
    <history author="Stan Cox" email="stan@grokfusebox.com" role="architect" date="3/11/2004" />
  </properties>
  <io>
    <in>
    </in>
    <out>
      <recordset name="qryGetPastPolls">
        <number name="pollID" precision="integer" comments="sort descending" />
        <string name="pollQuestion" />
      </recordset>
    </out>
  </io>
</fusedoc>
--->

<!---
<cf_querysim>
qryGetPastPolls
pollID,pollQuestion
3|Ulysses S. Grant is buried in Grant's Tomb.|50|50
2|Michael Jordan is the greatest basketball player ever.|50|50
1|Night is day|50|50
</cf_querysim>
--->

<cfquery name="qryGetPastPolls" datasource="#request.dsn#" dbtype="#request.dbt#">
  SELECT pollID,
         pollQuestion
    FROM pollQuestions
ORDER BY pollID DESC   
</cfquery>
