<!------------------------------------------------------------------
  Project: SOXML Demo
  Template: dsp_demo_soxml_xml2html.cfm
  Author: Brett Suwyn
  Created: 12/19/2000
  Description: 



------------------------------------------------------------------->

<!--- Gets the Current Directory eg "c:\inetpub\wwwroot\" --->
<cfset sCurrentDirectory = GetDirectoryFromPath(CGI.Path_Translated)>

<!--- This examle Read the XML file on our server's HD into a MSXML DOM object --->
<cf_SOXML 
  action="XML2DOM"
  input="#sCurrentDirectory#moreoverheadlines.xml"
  output="oNewsHeadLines"
  type="file">
  
<!--- Now Using the DOM we can do various operations with the XML Document --->
<h3>MoreOver.com Headlines (10/18/2000)</h3>
<cf_SOXML 
  action="Transform"
  input="#oNewsHeadLines.xml#"
  type="Variable"
  xslinput="#sCurrentDirectory#moreoverheadlines.xsl"
  xsltype="File"
  output="sTransformedResult"
  r_type="Text">
  
<cfoutput>#sTransformedResult#</cfoutput>