<!---
<fusedoc name="actSaveNewPollQuestion.cfm" language="ColdFusion" version="2.0">
  <responsibilities>
    I save a poll question to the database and return the user to XFA.continue.
  </responsibilities>
  <properties>
    <history author="Stan Cox" email="stan@grokfusebox.com" role="architect" date="3/11/2004" />
  </properties>
  <io>
    <in>
      <string name="XFA.continue" />
      <string name="newQuestion" />
    </in>
    <out>
    </out>
  </io>
</fusedoc>
--->

<cfquery name="qryGetLastPollID" datasource="#request.dsn#" dbtype="#request.dbt#">
  SELECT MAX(pollID) lastPollID
    FROM pollQuestions
</cfquery>

<cfquery name="qryInsertQuestion" datasource="#request.dsn#" dbtype="#request.dbt#">
  INSERT 
    INTO pollQuestions
         (
         pollID, 
         pollQuestion
         )
  VALUES (
         #qryGetLastPollID.lastPollID + 1#,
         '#attributes.newQuestion#'
         )
</cfquery>

<cflocation url="#self#?fuseaction=#XFA.continue#">

